> ## Documentation Index
> Fetch the complete documentation index at: https://slidesgpt.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a presentation

> Get a presentation by id



## OpenAPI

````yaml GET /v1/presentations/{id}
openapi: 3.1.0
info:
  title: Web
  version: 0.1.0
servers:
  - url: https://api.slidesgpt.com
    description: SlidesGPT API
security:
  - bearerAuth: []
tags: []
paths:
  /v1/presentations/{id}:
    get:
      tags:
        - Presentations
      summary: Get a presentation
      description: Get a presentation by id
      operationId: getPresentation
      parameters:
        - in: path
          name: id
          required: true
          description: The id of the presentation
          schema:
            type: string
            description: The id of the presentation
      responses:
        '200':
          description: The requested presentation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Presentation'
        '404':
          description: Not found
        '500':
          description: Internal Server Error
components:
  schemas:
    Presentation:
      type: object
      properties:
        id:
          type: string
          description: The id of the presentation
        embed:
          type: string
          format: uri
          description: >-
            The url to embed the presentation. A redirect to a Microsoft
            PowerPoint viewer url.
        download:
          type: string
          format: uri
          description: The url to download the presentation as PowerPoint.
      required:
        - id
        - embed
        - download
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````